Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class ModTextureStatic

    java.lang.Object
      net.minecraft.client.renderer.texturefx.TextureFX
          cpw.mods.fml.client.FMLTextureFX
              net.minecraft.src.ModTextureStatic

All Implemented Interfaces:
  ITextureFX

    public class ModTextureStatic

extends FMLTextureFX

Field Summary

Fields inherited from class cpw.mods.fml.client.FMLTextureFX
`errored, tileSizeBase, tileSizeMask, tileSizeSquare, tileSizeSquareMask`

Fields inherited from class net.minecraft.client.renderer.texturefx.TextureFX
`anaglyphEnabled, iconIndex, imageData, textureId, tileImage, tileSize`

Constructor Summary
`ModTextureStatic(int icon, int target, BufferedImage image)`
`ModTextureStatic(int icon, int size, int target, BufferedImage image)`
`ModTextureStatic(int icon, int size, String target, BufferedImage image)`

Method Summary
`void` | `bindImage(RenderEngine par1RenderEngine)`
`void` | `onTick()`
`static BufferedImage` | `scale2x(BufferedImage image)`
`void` | `setup()`
`String` | `toString()`
`void` | `update()`

Methods inherited from class cpw.mods.fml.client.FMLTextureFX
`getErrored, onTextureDimensionsUpdate, onTexturePackChanged, setErrored, unregister`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ModTextureStatic

    public ModTextureStatic(int icon,
                            int target,
                            BufferedImage image)

### ModTextureStatic

    public ModTextureStatic(int icon,
                            int size,
                            int target,
                            BufferedImage image)

### ModTextureStatic

    public ModTextureStatic(int icon,
                            int size,
                            String target,
                            BufferedImage image)

Method Detail

### setup

    public void setup()

### onTick

    public void onTick()

  Overrides:
    `onTick` in class `TextureFX`

### bindImage

    public void bindImage(RenderEngine par1RenderEngine)

  Overrides:
    `bindImage` in class `TextureFX`

### update

    public void update()

### scale2x

    public static BufferedImage scale2x(BufferedImage image)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD